2 Replies Latest reply on Nov 2, 2010 2:50 AM by sirbul25

    Tomcat 6.0.29 -> JBoss 5.1.0GA EJB3 lookup - NO clients jars from Jboss.

    sirbul25 Newbie

      Hi there.

       

      I have a scenario that I need assistance with, and have read various posts, but am not finding a solution.

       

      The scenario is Jboss 5.1 with EJB3 session beans doing there thing. Tomcat 6.0.29 web apps talking nicely to it, no issues,

       

      Now what I would like to do is remove all the jboss client jars, and only include the nessecary jars required,

      to allow the remote lookups for the sessions on Jboss from the tomcat server.

       

      We have run for a long time with all the jars from the jboss client lib folder in the tomcat lib folder,

      but we now need to make weblogic calls, and soap calls, using JDK 1.6, (which the WARS are built and deployed to)

      and now we are getting incompatibility issues with the soap code in the jboss client jars, and the jdk 1.6 soap classes.

       

      For now, I'm attempting to just include the minimum jars internally to the WAR we are deploying, so that the new apps,

      running on the same tomcat server, will not be affected by the jboss clients jars, if that makes sense.

       

      So... in order to do a remote EJB lookup successfully, what would the minimum jboss client jars be, for me to include in

      the WAR of our current application.

       

      Please let me know if you need any further info.

       

      JBoss 5.1

      Tomcat 6.0.29

       

      Cheers